Bug 380731 - /usr/lib/firefox-2.0.0.8/run-mozilla.sh: line 131: 7315 Segmentation fault (core dumped) "$prog" ${1+"$@"}
/usr/lib/firefox-2.0.0.8/run-mozilla.sh: line 131: 7315 Segmentation fault ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
firefox3INSUFFICIENT_DATAmassClosing
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-13 14:17 EST by Eric Paris
Modified: 2008-04-09 10:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 10:05:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace from the segfault (8.32 KB, text/plain)
2007-11-13 14:17 EST, Eric Paris
no flags Details

  None (edit)
Description Eric Paris 2007-11-13 14:17:53 EST
Description of problem:

firefox-2.0.0.8-2.fc8
everything on the system is updated to latest F8 as of Mov 13.

When running firefox even in -safe-mode i get a seg fault.  I can get this to
reproduce just by trying to use firefox.  Sometimes it will open and work for
5-10 minutes of heavy browsing, sometimes it will open and crash almost immediately.

~/.mozilla has been cleaned out
(i'm in safe mode so it shouldn't matter but)
/usr/lib/mozilla/plugins is empty
/usr/lib/firefox/plugins has libnullplugin.so and libuinixprintplugin.so
/usr/lib/firefox/extentions has insepector@mozzila.org and a bunch of langpacks

rpm -V firefox shows no problems

I am attaching a gdb generated backtrace from the core dump created when it seg
faulted.  I have the core and may be willing to make it available publicly if
needed (175meg)
Comment 1 Eric Paris 2007-11-13 14:17:53 EST
Created attachment 257281 [details]
backtrace from the segfault
Comment 3 Matěj Cepl 2008-02-21 17:35:25 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 4 Matěj Cepl 2008-02-21 17:36:42 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 5 Matěj Cepl 2008-04-09 10:05:33 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

[This is a mass-closing request, if you think that this bug shouldn't be closed,
please, reopen with additional information.]

Note You need to log in before you can comment on or make changes to this bug.